Skip to main content
GET
/
orders
List orders
curl --request GET \
  --url https://api.example.com/orders
{
  "items": [
    {
      "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "routeType": "<string>",
      "orderType": "<string>",
      "provider": "<string>",
      "path": [
        "<string>"
      ],
      "status": "unfilled",
      "senderAddress": "<string>",
      "destinationAddress": "<string>",
      "refundAddress": "<string>",
      "otcSwapId": "<string>",
      "swapperSwapId": "<string>",
      "cowOrderUid": "<string>",
      "sellCurrency": {
        "chain": {
          "kind": "<string>"
        },
        "token": {
          "kind": "<string>",
          "decimals": 1
        }
      },
      "buyCurrency": {
        "chain": {
          "kind": "<string>"
        },
        "token": {
          "kind": "<string>",
          "decimals": 1
        }
      },
      "quoteMode": "<string>",
      "quotedSellAmount": "<string>",
      "quotedBuyAmount": "<string>",
      "quotedMinimumBuyAmount": "<string>",
      "quotedMaximumSellAmount": "<string>",
      "executedSellAmount": "<string>",
      "executedBuyAmount": "<string>",
      "executedFeeAmount": "<string>",
      "depositTxHash": "<string>",
      "payoutTxHash": "<string>",
      "refundTxHash": "<string>",
      "rawRouterJson": null,
      "rawExternalDEXOrderJson": null,
      "rawOtcJson": null,
      "rawSwapperJson": null,
      "externalDexStatus": {
        "provider": "<string>",
        "status": "<string>"
      },
      "teeOtcStatus": {
        "status": "<string>"
      },
      "teeSwapperStatus": {
        "status": "<string>",
        "orderStatus": "<string>",
        "refundState": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "lastSourceUpdateAt": "2023-11-07T05:31:56Z",
      "terminalAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Query Parameters

sender
string

Filter by exact sender address.

destination
string

Filter by exact destination address.

refund
string

Filter by exact refund address.

orderType
enum<string>

Filter by execution type.

Available options:
market,
limit
status
enum<string>

Filter by public coarse order status.

Available options:
unfilled,
filled,
cancelled,
settled,
refunded,
failed
limit
integer
default:50

Page size. Defaults to 50 and is clamped between 1 and 100.

Required range: 1 <= x <= 100
cursor
string

Opaque base64url pagination cursor returned by a previous /orders response.

Response

Paginated orders

Paginated list of orders

items
SwapStatusResponse · object[]
required
nextCursor
string | null
required